> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# スクレイプを取得

> スクレイプのレスポンスを取得するために使用できます。



## OpenAPI

````yaml ja/openapi/scrapes.json GET /v1/scrapes/{scrape_id}
openapi: 3.0.3
info:
  title: Scrapes API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/scrapes/{scrape_id}:
    get:
      summary: スクレイプ結果を取得
      description: このエンドポイントは、以前に開始されたスクレイプの結果を取得することをユーザーに許可します。
      parameters:
        - name: scrape_id
          in: path
          required: true
          description: 取得するスクレイプの一意の識別子。
          schema:
            type: string
      responses:
        '200':
          description: スクレイプ結果を含む成功したレスポンス。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: スクレイプID
                  object:
                    type: string
                    description: オブジェクトの種類。このエンドポイントでは「scrape」。
                  created:
                    type: number
                    description: 作成されたエポック
                  metadata:
                    type: object
                    description: ユーザー定義のメタデータ。
                  url_to_scrape:
                    type: string
                    description: スクレイプされたURL。
                  result:
                    type: object
                    properties:
                      html_content:
                        type: string
                      markdown_content:
                        type: string
                      json_content:
                        type: string
                        description: パーサーからのコンテンツ
                      screenshot_hosted_url:
                        type: string
                      html_hosted_url:
                        type: string
                      markdown_hosted_url:
                        type: string
                      links_on_page:
                        type: array
                        items:
                          type: string
                      page_metadata:
                        type: object
                        properties:
                          status_code:
                            type: integer
                          title:
                            type: string
                      size_exceeded:
                        type: boolean
                        description: コンテンツのサイズが制限を超えた場合。もしそうなら、ホストされたS3のURLを使ってコンテンツを取得してね。
                  credits_consumed:
                    type: integer
                    nullable: true
                    description: このリクエストで消費されたクレジットの数。実行完了後に設定されるよ。クレジットは請求の基準だよ。
                  cost_usd:
                    type: number
                    nullable: true
                    description: >-
                      このリクエストのUSDでの推定コスト。実行完了後に設定されるよ。消費されたクレジットとプランのレートから計算されるよ
                      — 99%の精度だけど、credits_consumedが正確な値だよ。
        '400':
          description: 不正なリクエスト。パラメータが間違っているか、欠落しています。
        '402':
          description: 無効なAPIキーのため、支払いが必要です。
        '404':
          description: リクエストされたスクレイプが見つからないときのエラーです。
        '500':
          description: 内部サーバーエラー。
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer <token>形式のBearer認証ヘッダー。<token>はあなたの認証トークンです。

````